BinderPlugin (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client.plugins

## Class BinderPlugin

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin<RMBinderServiceJAXWSStubs,RMBinderLibrary>
  - - org.gcube.vremanagement.resourcemanager.client.plugins.BinderPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,RMBinderServiceJAXWSStubs,RMBinderLibrary>, org.gcube.common.clients.fw.plugin.Plugin<RMBinderServiceJAXWSStubs,RMBinderLibrary>

      public class BinderPlugin
      extends AbstractPlugin<RMBinderServiceJAXWSStubs,RMBinderLibrary>

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinderPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `namespace()`
    `RMBinderLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMBinderServiceJAXWSStubs> delegate)`
    `RMBinderServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin

      `convert, name, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinderPlugin

          public BinderPlugin()

  - ### Method Detail

    - #### resolve

          public RMBinderServiceJAXWSStubs resolve(EndpointReference reference,
                                          org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                            throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public RMBinderLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<RMBinderServiceJAXWSStubs> delegate)

    - #### namespace

          public String namespace()

Copyright © 2015. All Rights Reserved.